aws-0.24.4: Amazon Web Services (AWS) for Haskell

Copyright | Soostone Inc
License | BSD3
Maintainer | Ozgun Ataman <ozgun.ataman@soostone.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.GetItem

Description

Synopsis

- data GetItem = GetItem {
  - giTableName :: Text
  - giKey :: PrimaryKey
  - giAttrs :: Maybe [Text]
  - giConsistent :: Bool
  - giRetCons :: ReturnConsumption
  }
- getItem :: Text -> PrimaryKey -> GetItem
- data GetItemResponse = GetItemResponse {
  - girItem :: Maybe Item
  - girConsumed :: Maybe ConsumedCapacity
  }

# Documentation

data GetItem Source #

A GetItem query that fetches a specific object from DDB.

See: `http://docs.aws.amazon.com/amazondynamodb/latest/developerguide/API_GetItem.html`

Constructors

GetItem |

Fields

- giTableName :: Text
- giKey :: PrimaryKey
- giAttrs :: Maybe [Text]

  Attributes to get. `Nothing` grabs everything.

- giConsistent :: Bool

  Whether to issue a consistent read.

- giRetCons :: ReturnConsumption

  Whether to return consumption stats.

#### Instances

Instances details

ToJSON GetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods toJSON :: GetItem -> Value Source # toEncoding :: GetItem -> Encoding Source # toJSONList :: [GetItem] -> Value Source # toEncodingList :: [GetItem] -> Encoding Source # omitField :: GetItem -> Bool Source #
SignQuery GetItem Source # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Associated Types

type ServiceConfiguration GetItem |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ServiceConfiguration GetItem = DdbConfiguration

Methods

signQuery :: GetItem -> ServiceConfiguration GetItem queryType -> SignatureData -> SignedQuery Source #

Read GetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods readsPrec :: Int -> ReadS GetItem Source # readList :: ReadS [GetItem] Source # readPrec :: ReadPrec GetItem Source # readListPrec :: ReadPrec [GetItem] Source #
Show GetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods showsPrec :: Int -> GetItem -> ShowS Source # show :: GetItem -> String Source # showList :: [GetItem] -> ShowS Source #
Eq GetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods (==) :: GetItem -> GetItem -> Bool Source # (/=) :: GetItem -> GetItem -> Bool Source #
Ord GetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods compare :: GetItem -> GetItem -> Ordering Source # (<) :: GetItem -> GetItem -> Bool Source # (<=) :: GetItem -> GetItem -> Bool Source # (>) :: GetItem -> GetItem -> Bool Source # (>=) :: GetItem -> GetItem -> Bool Source # max :: GetItem -> GetItem -> GetItem Source # min :: GetItem -> GetItem -> GetItem Source #
Transaction GetItem GetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem
type ServiceConfiguration GetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ServiceConfiguration GetItem = DdbConfiguration

getItem Source #

Arguments

:: Text | Table name
-> PrimaryKey | Primary key
-> GetItem |

Construct a minimal `GetItem` request.

data GetItemResponse Source #

Response to a `GetItem` query.

Constructors

GetItemResponse |

Fields

- girItem :: Maybe Item
- girConsumed :: Maybe ConsumedCapacity

#### Instances

Instances details

FromJSON GetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods parseJSON :: Value -> Parser GetItemResponse Source # parseJSONList :: Value -> Parser [GetItemResponse] Source # omittedField :: Maybe GetItemResponse Source #
AsMemoryResponse GetItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Associated Types

type MemoryResponse GetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type MemoryResponse GetItemResponse = GetItemResponse

Methods

loadToMemory :: GetItemResponse -> ResourceT IO (MemoryResponse GetItemResponse) Source #

Read GetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods readsPrec :: Int -> ReadS GetItemResponse Source # readList :: ReadS [GetItemResponse] Source # readPrec :: ReadPrec GetItemResponse Source # readListPrec :: ReadPrec [GetItemResponse] Source #
Show GetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods showsPrec :: Int -> GetItemResponse -> ShowS Source # show :: GetItemResponse -> String Source # showList :: [GetItemResponse] -> ShowS Source #
Eq GetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods (==) :: GetItemResponse -> GetItemResponse -> Bool Source # (/=) :: GetItemResponse -> GetItemResponse -> Bool Source #
Ord GetItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Methods

compare :: GetItemResponse -> GetItemResponse -> Ordering Source #

(<) :: GetItemResponse -> GetItemResponse -> Bool Source #

(<=) :: GetItemResponse -> GetItemResponse -> Bool Source #

(>) :: GetItemResponse -> GetItemResponse -> Bool Source #

(>=) :: GetItemResponse -> GetItemResponse -> Bool Source #

max :: GetItemResponse -> GetItemResponse -> GetItemResponse Source #

min :: GetItemResponse -> GetItemResponse -> GetItemResponse Source #

ResponseConsumer r GetItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Associated Types

type ResponseMetadata GetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ResponseMetadata GetItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetItemResponse) -> HTTPResponseConsumer GetItemResponse Source #

Transaction GetItem GetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem
type MemoryResponse GetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type MemoryResponse GetItemResponse = GetItemResponse
type ResponseMetadata GetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ResponseMetadata GetItemResponse = DdbResponse